Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST@SRI-AI>

From: [email-masked]
Date: Tue, 24 Sep 85 09:33:31 edt

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a013353; 24 Sep 85 0:32 EDT
Date: Mon 23 Sep 1985 20:35-PDT
Reply-to: AIList@SRI-AI
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V3 #128
To: AIList@SRI-AI
Received: from rand-relay by vpi; Tue, 24 Sep 85 09:25 EST

AIList Digest            Tuesday, 24 Sep 1985     Volume 3 : Issue 128

Today's Topics:
  Query - Expert Systems for Knowledge Engineering,
  Knowledge Representation - Cooperative Structuring of Information,
  Literature - AI Interactions, Vol. 1, No. 1 and 2 &
    Aerospace Applications of AI Proceedings,
  Expert Systems - Hype

----------------------------------------------------------------------

Date: Mon, 23 Sep 85 12:13:28 mdt
From: [email-masked] (Charlie Sorsby)
Subject: Knowledge Engineering

> Date: 14 Sep 1985  07:21 EDT (Sat)
> From: Wayne McGuire <[email-masked]>
> Subject: Lisp vs. Prolog vs. ?
>
> Predicting what language will be most used for AI is problematic since
> there seems to be little agreement about what AI is.  Let's assume,
> however, that over the next decade or two ''AI'' will refer primarily
> to expert systems.
> ...
>      (1) Natural language understanding systems which can translate
> raw text directly into working knowledgebases.  We probably won't see
> such systems on a large scale, which can operate with any degree of
> reliablity, for at least another twenty-five years, and perhaps much
> longer.
>
>      (2) The laborious interviewing of domain experts by expert system
> experts (if you will), and the transcription of those interviews into
> programs.
>
>      (3) The direct encoding of knowledge into expert systems by
> domain experts themselves.

What work is being done toward the objective of combining (2) and (3)?
I. e. who is working on "expert system" expert systems incorporating
the knowledge of these expert system experts into an expert system
that will interview experts in other fields to free the human expert
system experts from the laborious interviewing tasks so that they can
do more creative work?

I just read that paragraph!  All those "experts" and "systems" sure
make it read as double talk but it is an honest question.  Is any
work being done in this area?  Thanks.

Charlie Sorsby
...!{cmcl2,ihnp4,...}!lanl!crs
[email-masked]

------------------------------

Date: 14 Sep 1985 16:07-EDT
From: Lowe@NYU-CSD2
Subject: Cooperative structuring of information

             [Excerpted from the IRList by Laws@SRI-AI.]

Readers of IRList may be interested in research I have been doing on methods
for information retrieval that are not based on the use of keywords.  [...]

Therefore, I have been developing a
structured representation for debate in which the computer maintains a
record of the reasoning behind each decision.  Rather than simply voting on
the correctness of each item in the database, users are required to indicate
which items of evidence support or refute a particular conclusion.  Not only
are users more likely to agree on whether specific evidence supports a
conclusion than they are to agree on the conclusion in the abstract, but the
representation provides a record for each user of what others have
considered to be the best available evidence bearing on each conclusion.
The representation is used not only to debate aspects of presentation and
indexing, but also to represent the content of much of the material in the
database as a snapshot of the reasoning process that links the concepts in
mind of each user.

The specific representation that is used for debate is derived from the
theory of argument developed by the British philosopher Stephen Toulmin.
There is not space here to give a full explanation of the system, but I have
written a fairly detailed paper on the topic.  This paper was published as
"The representation of debate as a basis for information storage and
retrieval" by David G. Lowe, AFIPS Conference Proceedings Volume 53, 1984
National Computer Conference, pp. 595-603.  A more extensive version of this
paper will soon be published in the International Journal of Man Machine
Studies.  I will be happy to mail copies to anyone who sends me their U.S.
mail address.  I can be reached at LOWE@NYU-CSD2 on the ARPANET or the
following address:

    Prof. David Lowe
    Courant Institute of Mathematical Sciences
    251 Mercer Street
    New York, NY  10012

[...]  My own research background is in
artificial intelligence, but I have come to believe that the best route to
progress lies in having the computer represent the content of information in
the manner of AI systems while leaving the input task up to human users.
This type of system is well within the scope of existing technology and
would greatly increase the range of applications for information retrieval.

------------------------------

Date: 22 Sep 1985 14:17-CST
From: [email-masked]
Subject: AI Interactions, Vol 1, No 1 and 2

AI Interactions is published by the Texas Instruments' Data Systems Group

AI Interactions, Volume 1 Number 1, August 1985 summary:

Discussions of TI products: Explorer (Lisp Machine), Personal
Consultant (Expert System building tool), Arborist (decision tree
tool), NaturalLink (menu based natural language system) and Speech
Command (speech input).

Discussion of Campbell's Soup developing expert system to diagnose
large "cookers" which produce soup.

The California Firm, The Scientific Press, is developing a textbook
on decision analysis based on Arborist.

TI is supporitng expert system development projects at various
universities including:

Statistical Consultant, Carleton College
Weld Selector, Colorado School of Mines
Analysis and prevention of mechanical failures, Duke University
Material Handling Equipment Selector, North Carolina State University
Controlling Plant Life in Ponds, North Texas State University
Credit Limits for Industrial Customers, University of Delaware
Health Care Billing Advisor, Ohio State University
Utilizing Part Characteristics to Determine Feeding and
  Orienting Devices for Automatic Assembly, Texas A&M University
Expert Linear Programming System, The American University
Predicting and Measuring the Risk of a Small Business Becoming
  Insolvent, University of Texas at Dalls
Expert General Library Reference Work, Drexel University

AI Interactions, Volume 1 Number 2, September 1985 Summary:

Discussion of 42 million dollar Explorer contract by Sperry Corporation

Work done by Marc Victor in using Arborist to help lawyers decide
whether to continue with a law suit and settle.

Some technical tips on using Arborist and Personal Consultant

TI is selling a Personal Computer Plus for $2950.  It
supports compiled lisp and 2000 knowledge base elements (rules and
unique parameters).  It also adds graphics and extended
frame capability.   Personal Computer Consultant itself is
selling for $950 or with comprehensive training for $1750.

Infomart, the first shopping mall devoted solely to information
technology, is using a personal computer based expert system
called SNAP to help first time users help them decide what kind
of computer they need.

Carnegie-Mellon and National Bureau of standards has developed an
expert system to evaluate soil prior to excavation of shallow
trenches.  This is designed to help prevent cave ins.

------------------------------

Date: 23 Sep 1985 21:40-EDT
From: cross@wpafb-afita
Subject: Conference Proceedings - Aerospace Applications of AI

The proceedings for the First Annual Aersopace Applications of
Artificial Intelligence are available.  The cost is $30.00.  Send
a check or money order to:
       AAAIC'85
       PO Box 31250
       Dayton, Ohio 45431-0250

For information call (513) 426-8530.

------------------------------

Date: Sun 22 Sep 85 17:16:17-PDT
From: Bill Poser <[email-masked]>
Subject: exaggerated claims

        In response to Bill Anderson's observation about grossly exaggerated
claims for AI systems, I don't think that this has a purely pecuniary
motivation, althought that certainly may play a role. As Herbert Dreyfus
documents in the first part of his "What Computers Can't Do", grossly
exaggerated if not blatantly false claims about the capabilities of AI
programs have been common from the very beginning, even in cases
(such as chess playing programs) where there was no monetary gain in sight.

------------------------------

Date: Sun, 22 Sep 85 19:44:48 PDT
From: Richard K. Jennings <[email-masked]>
Subject: SDI/AI/Free and open Debate

        The Strategic Computing Program (DARPA) and SDI are opportunities
for technologists to convince the US Military that they have something to
offer.  Contrary to some of the recent comments on this net (and on
ARMS-D) the US Military is not constituted from defunct latin american
dictatorships.
        There is a raging debate within the military on the utility of
AI for battle management, and the USAF *pays* people to shoot holes
in it.  For those interested in the history of technology, most of the
things we take for granted (microelectronics, automobiles, planes,
interstate highway system) were gestated and field tested by the
US Military.
        SDI (ie. Space Development Initiative) is laying the ground work
for the commercialization of space which we will all take for granted
in 2000 or so.  The AI community (Minsky et al) feel that they have
something to offer, and I concur with providing them funding to put up
or shut up.  As usual, we will probably find that their initial claims
were a bit optimistic, but in the end they will have made a fundamental
contribution to the fabric of the incomparable standard of living
afforded by our nation.
        If you are willing to stay off the interstate higways, the
inland waterways, airplanes and other fruits of technology ripened
by close association (computers, and computer networks as has been
pointed out) -- worry about the military and AI and SDI.  But upon
close inspection, I think it is better that the military have the
technology and work the bugs out on trivial things like autonomous
tanks BEFORE it is an integral part of an artificial life support
system.

Rich.

------------------------------

Date: 23 Sep 85 09:22:00 EDT
From: "CUGINI, JOHN" <cugini@nbs-vms>
Reply-to: "CUGINI, JOHN" <cugini@nbs-vms>
Subject: AI hype

I've been reading the laments, complaints, etc regarding AI hype
with some interest; here's my $.02 worth.  I believe that the level
of promotional gas *is* higher in expert systems, AI, etc, than in
other aspects of the computer field (e.g., graphics, DBMS), and
than in many sciences (chemistry..) and engineering disciplines
(bridge-building...).  Howcome??  Well, it seems to me that a
unique aspect of AI is that it is involved with commercial
products for which we have *a priori* expectations as to
performance, because we are already familiar with a system that
does the same thing.

Notice the difference in reaction: if someone tells you (before
you've ever heard of VCRs) that he's got a marvelous machine
that will let you record and play back TV shows, you're happy
that such a thing is possible at all.  You are willing to accept
extra constraints and features as "part of the package" (eg you
can't record and play at the same time, you can pre-set to
record at some future time, a tape is good for 6 hours, ...).

But if someone tells you he's got a machine that will: diagnose
blood diseases, read a map, drive a car, compose music, play chess,
do arithmetic, etc, etc, the immediate question is: does the machine
do it better or worse than me, or some other representative of the
species?  If the machine is a lot better (200 googol floating-point
square roots per nanosecond or whatever) we are suitably
impressed and will buy several.  But if the map-reader can't
tell the difference between a secondary road and a river, well...

Take a physical analogy: suppose someone were selling a machine
that would chop and stack firewood (all by itself).  Aside from
the cognitive capabilities involved, wouldn't we expect that
such a machine could stack at least as neatly as people? Handle
wood chunks of at least a reasonable size?  Complete the task
at least as fast as a person?  Justifiably or not, we would
probably ask whether we were better off buying the machine, or
just paying someone to do the job.

Since AI, by definition, seeks to replicate areas of human
cognitive competence, its results will tend to be judged in
light of human performance.  And, lurking in the background
is the economic question: Am I better off hiring humans or
buying expert systems to get this job done?  No such issue
arises with VCRs, or with DBMSs, for that matter.  That is,
hiring people is not a practical alternative - either the
capability is worth the price or it's not.

And so, in semi-conscious response to this attitude, purveyors
of AI software feel compelled to make their wares sound
impressive, not only with respect to what's been done a year
ago, but with respect to human capabilities.

John Cugini <Cugini@NBS-VMS>
Institute for Computer Sciences and Technology
National Bureau of Standards
Bldg 225 Room A-265
Gaithersburg, MD 20899
phone: (301) 921-2431

------------------------------

End of AIList Digest
********************